cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/return_merchandise_authorisations/RMA_ID/receive" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"return_merchandise_authorisation": {
"receive_returns": [
{
"uuid": "RMA_LINE_UUID",
"rma_receive_quantity": 1
}
]
}
}'from exsited import build_client
client = build_client()
response = (
client.return_merchandise_authorisations.receive_return_merchandise_authorisation(
"RMA_ID",
{
"return_merchandise_authorisation": {
"receive_returns": [
{"uuid": "RMA_LINE_UUID", "rma_receive_quantity": 1}
]
}
},
)
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.returnMerchandiseAuthorisations.receiveReturnMerchandiseAuthorisation('RMA_ID', {
return_merchandise_authorisation: {receive_returns: [{uuid: 'RMA_LINE_UUID', rma_receive_quantity: 1}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->returnMerchandiseAuthorisations->receiveReturnMerchandiseAuthorisation(
'RMA_ID',
[
'return_merchandise_authorisation' => [
'receive_returns' => [['uuid' => 'RMA_LINE_UUID', 'rma_receive_quantity' => 1]],
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.return_merchandise_authorisations.return_merchandise_authorisations_dto.ReturnMerchandiseAuthorisationsDto.ReturnMerchandiseAuthorisationRead;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ReturnMerchandiseAuthorisationRead> response = client.returnMerchandiseAuthorisations().receiveReturnMerchandiseAuthorisation(
"RMA_ID",
Map.of(
"return_merchandise_authorisation", Map.of(
"receive_returns", List.of(
Map.of("uuid", "RMA_LINE_UUID", "rma_receive_quantity", 1)))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ReturnMerchandiseAuthorisations.ReceiveReturnMerchandiseAuthorisationAsync(
"RMA_ID",
new Dictionary<string, object?>
{
["return_merchandise_authorisation"] = new Dictionary<string, object?>
{
["receive_returns"] = new List<object?>
{
new Dictionary<string, object?>
{
["uuid"] = "RMA_LINE_UUID",
["rma_receive_quantity"] = 1,
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.returnMerchandiseAuthorisations
.receiveReturnMerchandiseAuthorisation('RMA_ID', {
'return_merchandise_authorisation': {
'receive_returns': [
{'uuid': 'RMA_LINE_UUID', 'rma_receive_quantity': 1},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ReturnMerchandiseAuthorisations().ReceiveReturnMerchandiseAuthorisation(context.Background(), "RMA_ID", map[string]any{
"return_merchandise_authorisation": map[string]any{
"receive_returns": []any{
map[string]any{
"uuid": "RMA_LINE_UUID",
"rma_receive_quantity": 1,
},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"return_merchandise_authorisation": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"item_count": 123,
"last_updated_by": null,
"last_updated_on": null,
"lines": "<array>",
"note": "<string>",
"object": "<string>",
"receive_rmas": [
{
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": null,
"object": "<string>",
"quantity_received": 123,
"status": "<string>"
}
],
"return_status": "<string>",
"rma_date": "<string>",
"sale_invoice": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"sale_order": null,
"status": "<string>",
"version": 123,
"warehouse": null
}
}Return merchandise authorisations
Receive returned stock for an RMA
Records returned stock against an RMA and returns the RMA.
POST
/
return_merchandise_authorisations
/
{rma_id}
/
receive
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/return_merchandise_authorisations/RMA_ID/receive" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"return_merchandise_authorisation": {
"receive_returns": [
{
"uuid": "RMA_LINE_UUID",
"rma_receive_quantity": 1
}
]
}
}'from exsited import build_client
client = build_client()
response = (
client.return_merchandise_authorisations.receive_return_merchandise_authorisation(
"RMA_ID",
{
"return_merchandise_authorisation": {
"receive_returns": [
{"uuid": "RMA_LINE_UUID", "rma_receive_quantity": 1}
]
}
},
)
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.returnMerchandiseAuthorisations.receiveReturnMerchandiseAuthorisation('RMA_ID', {
return_merchandise_authorisation: {receive_returns: [{uuid: 'RMA_LINE_UUID', rma_receive_quantity: 1}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->returnMerchandiseAuthorisations->receiveReturnMerchandiseAuthorisation(
'RMA_ID',
[
'return_merchandise_authorisation' => [
'receive_returns' => [['uuid' => 'RMA_LINE_UUID', 'rma_receive_quantity' => 1]],
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.return_merchandise_authorisations.return_merchandise_authorisations_dto.ReturnMerchandiseAuthorisationsDto.ReturnMerchandiseAuthorisationRead;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ReturnMerchandiseAuthorisationRead> response = client.returnMerchandiseAuthorisations().receiveReturnMerchandiseAuthorisation(
"RMA_ID",
Map.of(
"return_merchandise_authorisation", Map.of(
"receive_returns", List.of(
Map.of("uuid", "RMA_LINE_UUID", "rma_receive_quantity", 1)))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ReturnMerchandiseAuthorisations.ReceiveReturnMerchandiseAuthorisationAsync(
"RMA_ID",
new Dictionary<string, object?>
{
["return_merchandise_authorisation"] = new Dictionary<string, object?>
{
["receive_returns"] = new List<object?>
{
new Dictionary<string, object?>
{
["uuid"] = "RMA_LINE_UUID",
["rma_receive_quantity"] = 1,
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.returnMerchandiseAuthorisations
.receiveReturnMerchandiseAuthorisation('RMA_ID', {
'return_merchandise_authorisation': {
'receive_returns': [
{'uuid': 'RMA_LINE_UUID', 'rma_receive_quantity': 1},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ReturnMerchandiseAuthorisations().ReceiveReturnMerchandiseAuthorisation(context.Background(), "RMA_ID", map[string]any{
"return_merchandise_authorisation": map[string]any{
"receive_returns": []any{
map[string]any{
"uuid": "RMA_LINE_UUID",
"rma_receive_quantity": 1,
},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"return_merchandise_authorisation": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"item_count": 123,
"last_updated_by": null,
"last_updated_on": null,
"lines": "<array>",
"note": "<string>",
"object": "<string>",
"receive_rmas": [
{
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": null,
"object": "<string>",
"quantity_received": 123,
"status": "<string>"
}
],
"return_status": "<string>",
"rma_date": "<string>",
"sale_invoice": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"sale_order": null,
"status": "<string>",
"version": 123,
"warehouse": null
}
}Send
receive_returns under return_merchandise_authorisation, each entry with a uuid and an rma_receive_quantity. The stock is committed, and a received RMA cannot be deleted.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The RMA's id, which starts with rma_. Its code is refused.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The RMA, under return_merchandise_authorisation.
Show child attributes
Show child attributes